Crypto++

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
PK_CryptoSystem Class Reference

interface for public-key encryptors and decryptors More...

`#include <cryptlib.h>`

Inheritance diagram for PK_CryptoSystem:

List of all members.

## Public Member Functions

virtual size_t | MaxPlaintextLength (size_t ciphertextLength) const =0
| maximum length of plaintext for a given ciphertext length
virtual size_t | CiphertextLength (size_t plaintextLength) const =0
| calculate length of ciphertext given length of plaintext
virtual bool | ParameterSupported (const char *name) const =0
| this object supports the use of the parameter with the given name
virtual size_t | FixedCiphertextLength () const
| return fixed ciphertext length, if one exists, otherwise return 0
virtual size_t | FixedMaxPlaintextLength () const
| return maximum plaintext length given the fixed ciphertext length, if one exists, otherwise return 0

## Detailed Description

interface for public-key encryptors and decryptors

This class provides an interface common to encryptors and decryptors for querying their plaintext and ciphertext lengths.

Definition at line 1191 of file cryptlib.h.

## Member Function Documentation

virtual size_t PK_CryptoSystem::MaxPlaintextLength | ( | size_t | ciphertextLength | ) | const`[pure virtual]`

maximum length of plaintext for a given ciphertext length

Note:
  This function returns 0 if ciphertextLength is not valid (too long or too short).

virtual size_t PK_CryptoSystem::CiphertextLength | ( | size_t | plaintextLength | ) | const`[pure virtual]`

calculate length of ciphertext given length of plaintext

Note:
  This function returns 0 if plaintextLength is not valid (too long).

virtual bool PK_CryptoSystem::ParameterSupported | ( | const char * | name | ) | const`[pure virtual]`

this object supports the use of the parameter with the given name

some possible parameter names: EncodingParameters, KeyDerivationParameters

virtual size_t PK_CryptoSystem::FixedCiphertextLength | ( |  | ) | const`[inline, virtual]`

return fixed ciphertext length, if one exists, otherwise return 0

Note:
  "Fixed" here means length of ciphertext does not depend on length of plaintext. It usually does depend on the key length.

Definition at line 1211 of file cryptlib.h.

Referenced by PK_Decryptor::FixedLengthDecrypt().

The documentation for this class was generated from the following file:

- cryptlib.h